su-Binary veraltet

  • 12 Antworten
  • Neuester Beitrag
Diskutiere su-Binary veraltet im Root / Hacking / Modding für Samsung Galaxy S im Bereich Samsung Galaxy S (I9000) Forum.
D

DonMarron

Fortgeschrittenes Mitglied
Hallo liebe Forengemeinde,

ich habe ein Problem mit meinem Handy. Neuderdings erscheint nach dem Start oben in der Infoleiste #sum-Binary veraltet. Was bedeuted das ?

Das Handy lief über Monate Problemlos mit diesem Kernel.

Fimrware: 2.2.1
Basisband: jpy
Kernel: 2.6.32.9 Backlightnotifacation@nelda#15
Buildnumber:froyo.xxjq3
 
Honk1978

Honk1978

Fortgeschrittenes Mitglied
Hallo Don,

das ist kein Problem. Die Meldung bekomme ich auch regelmäßig wenn ich einem Programm Root-Rechte geben möchte und dabei festgestellt wird, dass die Binaries veraltet sind.

Starte einfach die App Superuser und gehe dann in die Einstellungen. Hier scrollst du solange runter bis du den Eintrag "Su binary vX.X.X" siehst. Wenn du da jetzt drauf drückst werden deine Binaries aktualisiert. Wunder dich nicht, am Ende schreibt das Programm "Das war cool, mach es nochmal" ... das ist anscheinend ein Scherz der Programmierer ... egal wie oft du es machst, es werden immer wieder nur die gleichen Binaries aktualisiert, könntest also schon nach dem ersten aktualisieren wieder aus dem Menü raus gehen.

Falls du die Benachrichtigung bzgl. der veralteten Binaries nicht haben möchtest, dann einfach den Haken bei "Outdated binary notification" entfernen :)

Gruß
Honk
 
Bringer

Bringer

Erfahrenes Mitglied
Funktioniert nicht! Er schreibt: Neuste Version 3.0.3 Überprüfe installierte Version: 2.3.1-ef Dann drücke ich "Aktualisierung" Und als Meldung kommt: Finden der momentan installierten SU-Binary fehlgeschlagen.
 
schorsch36

schorsch36

Experte
Moin,

@ Bringer SU app öffnen > Menü Einstellung > scrollen > Su-binary v....drücken.
Jetzt im Updater unten aktualisieren drücken. Danach egal was da steht beenden und jetzt muß bei Su binary v3.0.3.2 stehen.
Haken darunter wegmachen und du bekommst keine Meldung mehr.:cool2:
 
Oma7144

Oma7144

Lexikon
@ schorsch36

Kann es sein, das die Systempartition schreibgeschützt ist? Wie kann man das umgehen?

:thumbup:
 
PJF16

PJF16

Ehrenmitglied
Mit z.B. dem Root Explorer die Partition als r/w mounten.
 
Oma7144

Oma7144

Lexikon
PJF16 schrieb:
Mit z.B. dem Root Explorer die Partition als r/w mounten.
Danke. Mein Problem entsteht innerhalb der App Superuser. Wenn ich dort unter Einstellungen die Su binary updaten möchte, dann wird ein script ausgeführt, welches an der Stelle "Aktiviere Schreibzugriff" mit dem Fehler "write protection on the system partition like S-ON" abbricht. Was muß ich denn nun genau tun, um hier weiter zu kommen?

:thumbup:
 
scheichuwe

scheichuwe

Guru
Hast du ein Galaxy S?
 
Oma7144

Oma7144

Lexikon
Danke für's aufwecken schweichuwe. Ich habe nach dem Thema gesucht und bin dann hier wohl falsch.
Bei der Maschine handelt sich um einen Odys Loox. Aber womöglich handelt es sich um ein generisches
Problem und jemand weiß hier Rat?

:thumbup:
 
PJF16

PJF16

Ehrenmitglied
Nein definitiv nicht.

Bitte im richtigen Bereich posten bzw suchen. :)
 
Oma7144

Oma7144

Lexikon
Many thanks for advice!

:thumbup:
 
A

acer09

Erfahrenes Mitglied
Hi,

ich habe auch das gleiche Problem. Ich gehe über Superuser auf Binary Update klicke auf update und dann bekomme ich eine Fehler Meldung bei md5sum wird überprüft... Fehlgeschlagen Kennt jemand das Problem? Ich habe aber LG P970

THX
 
Zuletzt bearbeitet:
Y

yannickabram

Neues Mitglied
PJF16 schrieb:
Nein definitiv nicht.

Bitte im richtigen Bereich posten bzw suchen. :)
hey leute ich brauche auch hilfe bei mir funktioniert das nämlich auch nicht

Was ich jetzt damit machen soll um die neue version zu bekommen danke im vorraus und hier nochmal was bei mir steht:
Manifest wird heruntergeladen_ okay!
Analysiere manifest_ okay!
Neueste version=3.1.1
Überprüfe installierte version= 2.3.1-ef
Datenbank wird repariert_okay!
Entpacke sutools... Okay!
Momentaner installationspfad wird überprüft_/system/xbin/su
Neue binary wird heruntergeladen...
Und dann kann ich nicht weiteraktualiesieren weil wieder die nachricht kommt meine binary ist veraltet obwohl ich die ja grade erneuern wollte:( und Überprüfe installierte version= 2.3.1-ef war in rot das andere war alles in grün deshalb vermute ich das das rote nicht funktioniert hat. Bitte helft mir!!! Kann mir jemand helfen!!!